Class | ActiveMerchant::Billing::TransFirstGateway
In: | lib/active_merchant/billing/gateways/trans_first.rb
Parent: | Gateway

### Methods

new purchase

### Constants

URL | = | 'https://webservices.primerchants.com/creditcard.asmx/CCSale'
UNUSED_FIELDS | = | %w(ECIValue UserId CAVVData TrackData POSInd EComInd MerchZIP MerchCustPNum MCC InstallmentNum InstallmentOf POSEntryMode POSConditionCode AuthCharInd CardCertData)
DECLINED | = | 'The transaction was declined'

### Public Class methods

new(options = {})

### Public Instance methods

purchase(money, credit_card, options = {})

[Validate]